<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_9410d17985408ab" . "6a2962e6fdb621c5" . "e" => base64_decode("ZG9jdW1lbnRzLm5hbWVw" . "YXR0ZXJudGFnLnZlcg=="), "_5fde92609a43c" . "9160462278aec0" . "60406" => base64_decode("Y29tbW9uLn" . "Vua25vd24="), "_eb56828" . "483919e1" . "73c6ab77" . "2a8fa7d6" . "d" => base64_decode("Y29tbW9uLnR5cG" . "UuZG9jdW1lbnQ="), "_7ee25317ffed" . "b4fe27bf0b503" . "6469b94" => base64_decode("Y29tbW9uLnR5" . "cGUuZm9sZGVy"), "_86e12158655092a9838a" . "837f6cf6d639" => base64_decode("Li4vY29tbW9uL2VybXNfcGtnLnBoc" . "A=="), "_0c5123aa744f69bbc0e8b3ea2f6" . "e847d" => base64_decode("bG1zZw" . "=="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_86e12158" . "655092a98" . "38a837f6c" . "f6d639"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_86e12158655092a9838" . "a837f6cf6d639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_7ee25317f" . "fedb4fe27b" . "f0b5036469" . "b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_eb56828483919e173c6ab772a8fa" . "7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_9410d1798" . "5408ab6a29" . "62e6fdb621" . "c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_5fde92609a43c9160462278" . "aec060406"]);
    }
}